libshevek

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Static Public Member Functions | Friends
shevek::avahi::browser Class Reference

Class for browsing other hosts. More...

`#include <avahi.hh>`

Inheritance diagram for shevek::avahi::browser:

List of all members.

## Classes

struct | details
| Details about a discovered service. These are internally created and may be examined by the application. More...
struct | owner
| Information about a discovered server. More...

## Public Types

typedef std::set< details > | details_list
| Container class for a list of details.
typedef std::map < Glib::ustring, owner > | list
| Container class for a list of owners.

## Public Member Functions

list const & | get_list ()
| Access the list of owners.
sigc::signal1< void, Glib::ustring const & > | signal_changed ()
| Signal to be notified when the list changes.
| ~browser ()
| The destructor cleans everything up.

## Static Public Member Functions

static Glib::RefPtr< browser > | create (Glib::ustring const &protocol)
| Create a browser class without an existing avahi object. Don't use this if you have an avahi object; use avahi::create_browser instead.
static list | get_list_block (Glib::ustring const &protocol, Glib::ustring const &name=Glib::ustring())
| Synchronously get a list of owners. When using this, the servers are not monitored, so you will not be notified of any changes.

## Friends

class | avahi

## Detailed Description

Class for browsing other hosts.

The documentation for this class was generated from the following file:

- src/avahi.hh